package cn.reghao.bnt.web.devops.builder.chain;

/**
 * @author reghao
 * @date 2022-05-06 14:32:27
 */
public abstract class Handler<K extends HandlerParam, V extends HandlerResult> {
    protected Handler<K, V> next;

    public Handler<K, V> addNext(Handler<K, V> next) {
        this.next = next;
        return next;
    }

    public abstract void handle(final K buildParam, V buildResult) throws Exception;
}
